ServiceReference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi.selection
Class ServiceReference

    java.lang.Object
      org.dvb.spi.selection.ServiceReference

Direct Known Subclasses:
  KnownServiceReference

    public class ServiceReference

extends Object

A reference to a service that is reached with the mediation of a SelectionProvider.

Since:
  MHP 1.1.3
See Also:
  `SelectionProvider`

Constructor Summary
`ServiceReference(String transportIndependent, String transportDependent)` Create a ServiceReference for a service.

Method Summary
`Locator` | `getLocator()` Gives the transport-dependent locator of the service
`String` | `getServiceIdentifier()` Return the transport independent locator of the service

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceReference

    public ServiceReference(String transportIndependent,
                            String transportDependent)

  Create a ServiceReference for a service. The two strings shall both be the external form of Locators, for example a transport independent "dvb:" locator string and provider specific locator string.

  Parameters:
    `transportIndependent` - The transport-independent locator of the service.
    `transportDependent` - The transport-dependent locator of the service.

Method Detail

### getServiceIdentifier

    public String getServiceIdentifier()

  Return the transport independent locator of the service

  Returns:
    the transportIndependent string passed into the constructor.

### getLocator

    public Locator getLocator()

  Gives the transport-dependent locator of the service

  Returns:
    the trasnport dependent string passed into the constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD